Core - Task # 58782

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-05-13 Assigned To: Marc Bastian Heinrichs
Updated: 2015-04-08 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Add signal in ImportExportUtility for importer modifications

Description

To be able to modify importer options on importing T3D-files on extension installation (distributions) this patch introduces a signal in
ImportExportUtility.

Related issues:
related to Core - Task # 57248: Add Signal when importing t3d file on ext ins... Rejected 2014-03-24

Associated revisions

Revision 60172089 - 2014-06-21 18:48 - Marc Bastian Heinrichs

[TASK] Add a signal after importer init in ImportExportUtility

To be able to modify importer options on importing T3D-files on
extension installation (e.g. for distributions) this patch introduces
a signal in ImportExportUtility.

Resolves: #58782

Releases: 6.3, 6.2

Change-Id: 19a3dec39efe4b8205013614cef1624720aab402a
Reviewed-on: https://review.typo3.org/30065

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 75f50dd7 - 2015-04-08 09:19 - Marc Bastian Heinrichs

[TASK] Add a signal after importer init in ImportExportUtility

To be able to modify importer options on importing T3D-files on
extension installation (e.g. for distributions) this patch introduces
a signal in ImportExportUtility.

Resolves: #58782

Releases: master, 6.2

Change-Id: 19a3dec39efe4b8205013614cef1624720aab402a
Reviewed-on: http://review.typo3.0rg/38514

Reviewed-by: Nicole Cordes <typo3@cordes.co>
Tested-by: Nicole Cordes <typo3@cordes.co>

History

#1 - 2014-05-13 17:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30065

#2 - 2014-05-14 12:36 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/30065

#3 - 2014-06-21 16:08 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30065

#4 - 2014-06-21 16:53 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30065

#5 - 2014-06-21 16:54 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/30065

#6 - 2014-06-21 16:57 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30065

#7 - 2014-06-21 19:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:601720890a8e4443bd19aa7a68dd703e1436dd7f.

#8 - 2015-04-07 18:04 - Gerrit Code Review

- Status changed from Resolved to Under Review
Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38514

#9 - 2015-04-08 09:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:75f50dd7cd957ccfbe22aefdb33c02e7d51b5ch1.
